PHP 手冊
前一頁 |  | 下一頁

# nsapi_virtual

(PHP 4 >= 4.3.3, PHP 5)

nsapi_virtual -- Perform an NSAPI sub-request

## Description

bool nsapi_virtual ( string uri )

nsapi_virtual() is an NSAPI-specific function which is equivalent to <!--#include virtual...--> in SSI (`.shtml` files). It does an NSAPI sub-request. It is useful for including CGI scripts or .shtml files, or anything else that you'd parse through webserver.

To run the sub-request, all buffers are terminated and flushed to the browser, pending headers are sent too.

You cannot make recursive requests with this function to other PHP scripts. If you want to include PHP scripts, use include() or require().

> 注: This function depends on a undocumented feature of the Netscape/iPlanet/SunONE webservers. Use phpinfo() to determine if it is available. In the Unix environment it should always work, in windows it depends on the name of a `ns-httpdXX.dll` file.

> Read the note about subrequests in the NSAPI section (UNIX, Windows) if you experience this problem.

## Parameters

uri

  The URI of the script.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

前一頁 | 內容 | 下一頁
nsapi_response_headers | 上一層 | Object Aggregation/Composition Functions